import 'package:doctor_app_flutter/config/config.dart';
import 'package:doctor_app_flutter/core/model/patient_muse/PatientSearchRequestModel.dart';
import 'package:doctor_app_flutter/core/service/base/base_service.dart';
import 'package:doctor_app_flutter/core/model/patient/patiant_info_model.dart';

class ScanQrService extends BaseService {
  List<PatiantInformtion> myInPatientList = [];
  List<PatiantInformtion> inPatientList = [];

  Future getInPatient(
      PatientSearchRequestModel requestModel, bool isMyInpatient) async {
    hasError = false;
    await getDoctorProfile(isGetProfile: true);
    requestModel.loginDoctorID = doctorProfile!.doctorID;
    requestModel.doctorID = 0;
    requestModel.from = "0";
    requestModel.to = "0";
    await baseAppClient.post(
      GET_PATIENT_IN_PATIENT_LIST,
      onSuccess: (dynamic response, int statusCode) {
        inPatientList.clear();
        myInPatientList.clear();

        response['List_MyInPatient'].forEach((v) {
          PatiantInformtion patient = PatiantInformtion.fromJson(v);
          inPatientList.add(patient);
          if (patient.doctorId == doctorProfile!.doctorID) {
            myInPatientList.add(patient);
          }
        });
      },
      onFailure: (String error, int statusCode) {
        hasError = true;
        super.error = error;
      },
      body: requestModel.toJson(),
    );
  }
}
